/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.common.db.mode;

import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.ArrayList;
import java.util.List;

/**
 * 数据源集群参数配置
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
@ConfigurationProperties(prefix = "nk.data-source")
public class NKDataSourceClusterProperties
{

  private List<DataSourceConfig> cluster = new ArrayList<>();


  public List<DataSourceConfig> getClusterProperties()
  {
    return cluster;
  }

  public void setCluster(List<DataSourceConfig> cluster)
  {
    this.cluster = cluster;
  }

}
